searchNodes=[{"doc":"Adapter for Geolix to work with MMDB2 databases.Adapter ConfigurationTo start using the adapter with a compatible database you need to add the required configuration entry to your :geolix configuration:config :geolix, databases: [ %{ id: :my_mmdb_database, adapter: Geolix.Adapter.MMDB2, source: &quot;/absolute/path/to/my/database.mmdb&quot; } ]Database ConfigurationIn order to work this adapter requires a :source configuration value to point to a valid MMDB2 format database.Compressed DatabasesSome limited support is built in to allow working with compressed databases if the filename matches one of the following patterns:*.gz - It is expected to be a gzip compressed file*.tar - It is expected to be a tarball and the first file in the archive ending in .mmdb will be loaded.*.tar.gz - Combination of the aboveMMDB2 Decoder OptionsIf not configured or passed otherwise the following options are used for decoding:%{ double_precision: 8, float_precision: 4, map_keys: :atoms }You can pass a custom option to the lookup request:iex(1)&gt; mmdb2_opts = %{ ......&gt; double_precision: 8, ......&gt; float_precision: 4, ......&gt; map_keys: :strings ......&gt; } iex(2)&gt; Geolix.lookup({1, 1, 1, 1}, mmdb2_decoder_options: mmdb2_opts)Or configure your values as the defaults if not passed:config :geolix, databases: [ %{ id: :my_mmdb_database, adapter: Geolix.Adapter.MMDB2, source: &quot;/absolute/path/to/my/database.mmdb&quot;, mmdb2_decoder_options: %{ double_precision: 8, float_precision: 4, map_keys: :strings } } ]Result TransformationBy default a result is transformed to a struct matching your database type.This setting can be modified by passing an option to the lookup request:iex&gt; Geolix.lookup({1, 1, 1, 1}, as: :raw)Or configure a default if not passed:config :geolix, databases: [ %{ id: :my_mmdb_database, adapter: Geolix.Adapter.MMDB2, source: &quot;/absolute/path/to/my/database.mmdb&quot;, result_as: :raw } ]Possible options::raw - Return results as found in the database:struct - Return values after transforming them to a result struct (default)Passing as: :raw skips the struct transformation and returns the value as read from your database. This option may be necessary if you have configured custom :mmdb2_decoder_options.","ref":"Geolix.Adapter.MMDB2.html","title":"Geolix.Adapter.MMDB2","type":"module"},{"doc":"Behaviour for records/results.","ref":"Geolix.Adapter.MMDB2.Model.html","title":"Geolix.Adapter.MMDB2.Model","type":"behaviour"},{"doc":"Converts a dataset to a model.","ref":"Geolix.Adapter.MMDB2.Model.html#c:from/2","title":"Geolix.Adapter.MMDB2.Model.from/2","type":"callback"},{"doc":"Result for GeoLite2 ASN databases.","ref":"Geolix.Adapter.MMDB2.Result.ASN.html","title":"Geolix.Adapter.MMDB2.Result.ASN","type":"module"},{"doc":"Result for GeoIP2 Anonymous IP databases.","ref":"Geolix.Adapter.MMDB2.Result.AnonymousIP.html","title":"Geolix.Adapter.MMDB2.Result.AnonymousIP","type":"module"},{"doc":"Result for GeoIP2 City databases.","ref":"Geolix.Adapter.MMDB2.Result.City.html","title":"Geolix.Adapter.MMDB2.Result.City","type":"module"},{"doc":"Result for GeoIP2 Connection Type databases.","ref":"Geolix.Adapter.MMDB2.Result.ConnectionType.html","title":"Geolix.Adapter.MMDB2.Result.ConnectionType","type":"module"},{"doc":"Result for GeoIP2 Country databases.","ref":"Geolix.Adapter.MMDB2.Result.Country.html","title":"Geolix.Adapter.MMDB2.Result.Country","type":"module"},{"doc":"Result for GeoIP2 Domain databases.","ref":"Geolix.Adapter.MMDB2.Result.Domain.html","title":"Geolix.Adapter.MMDB2.Result.Domain","type":"module"},{"doc":"Result for GeoIP2 Enterprise databases.","ref":"Geolix.Adapter.MMDB2.Result.Enterprise.html","title":"Geolix.Adapter.MMDB2.Result.Enterprise","type":"module"},{"doc":"Result for GeoIP2 ISP databases.","ref":"Geolix.Adapter.MMDB2.Result.ISP.html","title":"Geolix.Adapter.MMDB2.Result.ISP","type":"module"},{"doc":"Record for city information.","ref":"Geolix.Adapter.MMDB2.Record.City.html","title":"Geolix.Adapter.MMDB2.Record.City","type":"module"},{"doc":"Record for continent information.","ref":"Geolix.Adapter.MMDB2.Record.Continent.html","title":"Geolix.Adapter.MMDB2.Record.Continent","type":"module"},{"doc":"Record for country information.","ref":"Geolix.Adapter.MMDB2.Record.Country.html","title":"Geolix.Adapter.MMDB2.Record.Country","type":"module"},{"doc":"Record for city information (enterprise database).","ref":"Geolix.Adapter.MMDB2.Record.EnterpriseCity.html","title":"Geolix.Adapter.MMDB2.Record.EnterpriseCity","type":"module"},{"doc":"Record for country information (enterprise database).","ref":"Geolix.Adapter.MMDB2.Record.EnterpriseCountry.html","title":"Geolix.Adapter.MMDB2.Record.EnterpriseCountry","type":"module"},{"doc":"Record for postal information (enterprise database).","ref":"Geolix.Adapter.MMDB2.Record.EnterprisePostal.html","title":"Geolix.Adapter.MMDB2.Record.EnterprisePostal","type":"module"},{"doc":"Record for subdivision information (enterprise database).","ref":"Geolix.Adapter.MMDB2.Record.EnterpriseSubdivision.html","title":"Geolix.Adapter.MMDB2.Record.EnterpriseSubdivision","type":"module"},{"doc":"Record for location information.","ref":"Geolix.Adapter.MMDB2.Record.Location.html","title":"Geolix.Adapter.MMDB2.Record.Location","type":"module"},{"doc":"Record for postal information.","ref":"Geolix.Adapter.MMDB2.Record.Postal.html","title":"Geolix.Adapter.MMDB2.Record.Postal","type":"module"},{"doc":"Record for represented country information.","ref":"Geolix.Adapter.MMDB2.Record.RepresentedCountry.html","title":"Geolix.Adapter.MMDB2.Record.RepresentedCountry","type":"module"},{"doc":"Record for subdivision information.","ref":"Geolix.Adapter.MMDB2.Record.Subdivision.html","title":"Geolix.Adapter.MMDB2.Record.Subdivision","type":"module"}]